import request from '../../utils/request';

export function retrievePassword(data) {
  return request({
    url: '/auth/api/retrievePassword', // 找回密码
    method: 'post',
    data
  });
}
export function getCompany() {
  return request({
    url: '/commonUser/getComp', // 获取企业详情
    method: 'get',
    params: {}
  });
}
export function getCompanyInfo(params) {
  return request({
    url: '/company/query/companyInfoByDomainName', // 通过域名获取公司信息
    method: 'get',
    params
  });
}
export function checkPassword(data) {
  return request({
    url: '/auth/api/checkPassword', // 验证密码
    method: 'post',
    data
  });
}
export function loginEnhanced(data) {
  return request({
    url: '/auth/api/loginEnhanced', // 普通登录
    method: 'post',
    data
  });
}
export function getLoginInfo(data){
  return request({
    url: '/auth/query/loginInfo', //当前登录人信息
    method: 'get',
    data
  })
}
export function loginOut(data){
  return request({
    url: '/auth/api/logout', //登出
    method: 'post',
    data
  })
}
